# Disable warnings for all third party code
add_compile_options(-w)

find_package(Threads)

add_library(perfetto perfetto/sdk/perfetto.cc)
target_include_directories(perfetto SYSTEM
                           PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/perfetto/sdk)
target_link_libraries(perfetto PUBLIC Threads::Threads)
